<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Default.aspx.vb" Inherits="FileNameGeneratorVB._Default"%>
<%@ Import Namespace="Krystalware.SlickUpload" %>
<%@ Import Namespace="Krystalware.SlickUpload.Providers" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML>
	<HEAD>
		<title>SlickUpload file name generator sample</title>
		<style type="text/css">
        BODY { FONT-FAMILY: tahoma,verdana,sans-serif }
        H1 { FONT-SIZE: 125% }
        INPUT.uploadBox { BORDER-RIGHT: #cccccc 1px solid; BORDER-TOP: #cccccc 1px solid; MARGIN-BOTTOM: 1em; MARGIN-LEFT: 0.5em; BORDER-LEFT: #cccccc 1px solid; WIDTH: 60%; MARGIN-RIGHT: 0.5em; BORDER-BOTTOM: #cccccc 1px solid }
        TABLE.results { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid; BORDER-COLLAPSE: collapse }
        TABLE.results TD { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid }
        TABLE.results TH { BORDER-RIGHT: #c0c0c0 1px solid; BORDER-TOP: #c0c0c0 1px solid; BORDER-LEFT: #c0c0c0 1px solid; BORDER-BOTTOM: #c0c0c0 1px solid }
        TABLE.results TH { BACKGROUND-COLOR: #e0e0e0 }
		</style>
	</HEAD>
	<body>
		<form id="form1" name="form1" runat="server" enctype="multipart/form-data">
			<h1>File name generator sample</h1>
			<input type="file" name="file1" id="file1" class="uploadBox"> <input type="file" name="file2" id="file2" class="uploadBox">
			<p><asp:Button ID="uploadButton" runat="server" Text="Upload" OnClick="uploadButton_Click" /></p>
			<asp:Panel ID="uploadResultsPanel" runat="server" Visible="false" EnableViewState="false">
				<DIV id="resultsMessage" runat="server"></DIV>
				<asp:Repeater id="resultsRepeater" runat="server">
					<HeaderTemplate>
						<br />
						<table class="results" width="100%" cellpadding="4" cellspacing="0">
							<thead>
								<tr>
									<th align="left">
										Name</th>
									<th align="left">Location</th>
									<th align="left">
										Mime Type</th>
									<th align="left">
										Length (bytes)</th>
								</tr>
							</thead>
							<tbody>
					</HeaderTemplate>
					<ItemTemplate>
						<tr>
							<td><%#DirectCast(Container.DataItem, UploadedFile).ClientName%></td>
							<td><%#DirectCast(Container.DataItem, UploadedFile).LocationInfo(FileUploadStreamProvider.FileNameKey)%></td>
							<td><%#DirectCast(Container.DataItem, UploadedFile).ContentType%></td>
							<td><%#DirectCast(Container.DataItem, UploadedFile).ContentLength%></td>
						</tr>
					</ItemTemplate>
					<FooterTemplate>
						</tbody> </table>
					</FooterTemplate>
				</asp:Repeater>
			</asp:Panel>
		</form>
	</body>
</HTML>
