﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Import Namespace="Krystalware.SlickUpload" %>
<%@ Import Namespace="Krystalware.SlickUpload.Providers" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>File name generator sample</title>
    <style type="text/css">
        body {font-family:tahoma,verdana,sans-serif}
        h1 {font-size:125%}
	    input.uploadBox { margin-bottom:1em; margin-left:0.5em; margin-right:0.5em; width:60%; border:1px solid #cccccc; }
        table.results {border-collapse:collapse;border:1px solid #c0c0c0}
        table.results td, table.results th {border:1px solid #c0c0c0}
        table.results th {background-color:#e0e0e0}
    </style>
</head>
<body>
    <form id="form1" name="form1" runat="server" enctype="multipart/form-data">
        <h1>File name generator sample</h1>
        <input type="file" name="file1" id="file1" class="uploadBox" />
        <input type="file" name="file2" id="file2" class="uploadBox" />
        <p><asp:Button ID="uploadButton" runat="server" Text="Upload" OnClick="uploadButton_Click" /></p>
        <asp:Panel ID="uploadResultsPanel" runat="server" Visible="false" EnableViewState="false">
            <div id="resultsMessage" runat="server" />
            <asp:Repeater ID="resultsRepeater" runat="server">
                <HeaderTemplate>
                    <br />
                    <table class="results" width="100%" cellpadding="4" cellspacing="0">
                        <thead>
                            <tr>
                                <th align="left">Name</th>
                                <th align="left">Location</th>
                                <th align="left">Mime Type</th>
                                <th align="left">Length (bytes)</th>
                            </tr>
                        </thead>
                        <tbody>
                </HeaderTemplate>
                <ItemTemplate>
                    <tr>
                        <td><%#((UploadedFile)Container.DataItem).ClientName %></td>
                        <td><%#((UploadedFile)Container.DataItem).LocationInfo[FileUploadStreamProvider.FileNameKey] %></td>
                        <td><%#((UploadedFile)Container.DataItem).ContentType %></td>
                        <td><%#((UploadedFile)Container.DataItem).ContentLength %></td>
                    </tr>
                </ItemTemplate>
                <FooterTemplate>
                        </tbody>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
        </asp:Panel>        
    </form>
</body>
</html>